# FeesBreakdown

Breakdown of transaction fees for a Transaction Queue. In most cases, the entirety of the Queue's fees will be paid by either the current Account or a third party. In some rare cases, fees can be split between them (for example, if the current Account is being subsidized, but one of the transactions in the queue terminates the subsidy, leaving the current Account with the responsibility of paying for the rest of the transactions)

## Hierarchy

* **FeesBreakdown**

## Index

### Properties

* [accountBalance](#accountbalance)
* [accountFees](#accountfees)
* [thirdPartyFees](#thirdpartyfees)

## Properties

### accountBalance

• **accountBalance**: *BigNumber*

*Defined in* [*src/types/index.ts:667*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/types/index.ts#L667)

free balance of the current Account

### accountFees

• **accountFees**: [*Fees*](/polymesh-sdk-api-reference/docs-v10/interfaces/fees.md)

*Defined in* [*src/types/index.ts:663*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/types/index.ts#L663)

fees that must be paid by the current Account

### thirdPartyFees

• **thirdPartyFees**: [*ThirdPartyFees*](/polymesh-sdk-api-reference/docs-v10/interfaces/thirdpartyfees.md)*\[]*

*Defined in* [*src/types/index.ts:659*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/types/index.ts#L659)

fees that will be paid by third parties. Each element in the array represents a different third party Account, their corresponding fees, allowances and balance


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/feesbreakdown.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
